org.apache.lucene.store

## Class MockIndexOutputWrapper

- java.lang.Object
- - org.apache.lucene.store.DataOutput
  - - org.apache.lucene.store.IndexOutput
    - - org.apache.lucene.store.MockIndexOutputWrapper

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class MockIndexOutputWrapper
    extends IndexOutput

Used by MockRAMDirectory to create an output stream that will throw an IOException on fake disk full, track max disk space actually used, and maybe throw random IOExceptions.

### Constructor Summary

Constructors
Constructor and Description
`MockIndexOutputWrapper(MockDirectoryWrapper dir, IndexOutput delegate, String name)` Construct an empty output buffer.

### Method Summary

Methods
`void` `close()`
`void` `copyBytes(DataInput input, long numBytes)`
`void` `flush()`
`long` `getFilePointer()`
`long` `length()`
`void` `seek(long pos)`
`void` `setLength(long length)`
`String` `toString()`
`void` `writeByte(byte b)`
`void` `writeBytes(byte[] b, int offset, int len)`

### Methods inherited from class org.apache.lucene.store.DataOutput

`writeBytes, writeInt, writeLong, writeShort, writeString, writeStringSet, writeStringStringMap, writeVInt, writeVLong`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MockIndexOutputWrapper

    public MockIndexOutputWrapper(MockDirectoryWrapper dir,
                          IndexOutput delegate,
                          String name)

Construct an empty output buffer.

### Method Detail

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `IndexOutput`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in class `IndexOutput`
Throws:
  `IOException`

#### writeByte

    public void writeByte(byte b)
                   throws IOException

Specified by:
  `writeByte` in class `DataOutput`
Throws:
  `IOException`

#### writeBytes

    public void writeBytes(byte[] b,
                  int offset,
                  int len)
                    throws IOException

Specified by:
  `writeBytes` in class `DataOutput`
Throws:
  `IOException`

#### getFilePointer

    public long getFilePointer()

Specified by:
  `getFilePointer` in class `IndexOutput`

#### seek

    public void seek(long pos)
              throws IOException

Specified by:
  `seek` in class `IndexOutput`
Throws:
  `IOException`

#### length

    public long length()
                throws IOException

Specified by:
  `length` in class `IndexOutput`
Throws:
  `IOException`

#### setLength

    public void setLength(long length)
                   throws IOException

Overrides:
  `setLength` in class `IndexOutput`
Throws:
  `IOException`

#### copyBytes

    public void copyBytes(DataInput input,
                 long numBytes)
                   throws IOException

Overrides:
  `copyBytes` in class `DataOutput`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`